# HTML Processing Instruction Reference

$Id: pi.xsl 8394 2009-04-02 20:31:30Z mzjn $

# Introduction

This is generated reference documentation for all user-specifiable processing instructions (PIs) in the DocBook XSL stylesheets for HTML output.

You add these PIs at particular points in a document to cause specific “exceptions” to formatting/output behavior. To make global changes in formatting/output behavior across an entire document, it’s better to do it by setting an appropriate stylesheet parameter (if there is one).

# dbhtml_background-color

Sets background color for an image

    dbhtml background-color="color"

## Description

Use the `dbhtml background-color` PI before or after an image (`graphic`, `inlinegraphic`, `imagedata`, or `videodata` element) as a sibling to the element, to set a background color for the image.

## Parameters

background-color="color"

  An HTML color value

## Related Information in DocBook XSL: The Complete Guide

Background color

# dbhtml_bgcolor

Sets background color on a CALS table row or table cell

    dbhtml bgcolor="color"

## Description

Use the `dbhtml bgcolor` PI as child of a CALS table row or cell to set a background color for that table row or cell.

## Parameters

bgcolor="color"

  An HTML color value

## Related Information in DocBook XSL: The Complete Guide

Cell background color

# dbhtml_cellpadding

Specifies cellpadding in CALS table or qandaset output

    dbhtml cellpadding="number"

## Description

Use the `dbhtml cellpadding` PI as a child of a CALS `table` or `qandaset` to specify the value for the HTML `cellpadding` attribute in the output HTML table.

## Parameters

cellpadding="number"

  Specifies the cellpadding

## Related Global Parameters

`html.cellpadding`

## Related Information in DocBook XSL: The Complete Guide

Cell spacing and cell padding, Q and A formatting

# dbhtml_cellspacing

Specifies cellspacing in CALS table or qandaset output

    dbhtml cellspacing="number"

## Description

Use the `dbhtml cellspacing` PI as a child of a CALS `table` or `qandaset` to specify the value for the HTML `cellspacing` attribute in the output HTML table.

## Parameters

cellspacing="number"

  Specifies the cellspacing

## Related Global Parameters

`html.cellspacing`

## Related Information in DocBook XSL: The Complete Guide

Cell spacing and cell padding, Q and A formatting

# dbhtml_class

Set value of the class attribute for a CALS table row

    dbhtml class="name"

## Description

Use the `dbhtml class` PI as a child of a `row` to specify a `class` attribute and value in the HTML output for that row.

## Parameters

class="name"

  Specifies the class name

## Related Information in DocBook XSL: The Complete Guide

Table styles in HTML output

# dbhtml_dir

Specifies a directory name in which to write files

    dbhtml dir="path"

## Description

When chunking output, use the `dbhtml dir` PI as a child of a chunk source to cause the output of that chunk to be written to the specified directory; also, use it as a child of a `mediaobject` to specify a directory into which any long-description files for that `mediaobject` will be written.

## Parameters

dir="path"

  Specifies the pathname for the directory

## Related Global Parameters

`base.dir`

## Related Information in DocBook XSL: The Complete Guide

dbhtml dir processing instruction

# dbhtml_filename

Specifies a filename for a chunk

    dbhtml filename="filename"

## Description

When chunking output, use the `dbhtml filename` PI as a child of a chunk source to specify a filename for the output file for that chunk.

## Parameters

filename="path"

  Specifies the filename for the file

## Related Global Parameters

`use.id.as.filename`

## Related Information in DocBook XSL: The Complete Guide

dbhtml filenames

# dbhtml_funcsynopsis-style

Specifies presentation style for a funcsynopsis

    dbhtml funcsynopsis-style="kr"|"ansi"

## Description

Use the `dbhtml funcsynopsis-style` PI as a child of a `funcsynopsis` or anywhere within a funcsynopsis to control the presentation style for output of all `funcprototype` instances within that funcsynopsis.

## Parameters

funcsynopsis-style="kr"

  Displays `funcprototype` output in K&R style

funcsynopsis-style="ansi"

  Displays `funcprototype` output in ANSI style

## Related Global Parameters

`funcsynopsis.style`

# dbhtml_img.src.path

Specifies a path to the location of an image file

    dbhtml img.src.path="path"

## Description

Use the `dbhtml img.src.path` PI before or after an image (`graphic`, `inlinegraphic`, `imagedata`, or `videodata` element) as a sibling to the element, to specify a path to the location of the image; in HTML output, the value specified for the `img.src.path` attribute is prepended to the filename.

## Parameters

img.src.path="path"

  Specifies the pathname to prepend to the name of the image file

## Related Global Parameters

`img.src.path`

## Related Information in DocBook XSL: The Complete Guide

Using fileref

# dbhtml_label-width

Specifies the label width for a qandaset

    dbhtml label-width="width"

## Description

Use the `dbhtml label-width` PI as a child of a `qandaset` to specify the width of labels.

## Parameters

label-width="width"

  Specifies the label width (including units)

## Related Information in DocBook XSL: The Complete Guide

Q and A formatting

# dbhtml_linenumbering.everyNth

Specifies interval for line numbers in verbatims

    dbhtml linenumbering.everyNth="N"

## Description

Use the `dbhtml linenumbering.everyNth` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the interval at which lines are numbered.

## Parameters

linenumbering.everyNth="N"

  Specifies numbering interval; a number is output before every Nth line

## Related Global Parameters

`linenumbering.everyNth`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbhtml_linenumbering.separator

Specifies separator text for line numbers in verbatims

    dbhtml linenumbering.separator="text"

## Description

Use the `dbhtml linenumbering.separator` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the separator text output between the line numbers and content.

## Parameters

linenumbering.separator="text"

  Specifies the text (zero or more characters)

## Related Global Parameters

`linenumbering.separator`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbhtml_linenumbering.width

Specifies width for line numbers in verbatims

    dbhtml linenumbering.width="width"

## Description

Use the `dbhtml linenumbering.width` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the width set aside for line numbers.

## Parameters

linenumbering.width="width"

  Specifies the width (inluding units)

## Related Global Parameters

`linenumbering.width`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbhtml_list-presentation

Specifies presentation style for a variablelist or segmentedlist

    dbhtml list-presentation="list"|"table"

## Description

Use the `dbhtml list-presentation` PI as a child of a `variablelist` or `segmentedlist` to control the presentation style for the list (to cause it, for example, to be displayed as a table).

## Parameters

list-presentation="list"

  Displays the list as a list

list-presentation="table"

  Displays the list as a table

## Related Global Parameters

- `variablelist.as.table`

- `segmentedlist.as.table`

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML

# dbhtml_list-width

Specifies the width of a variablelist or simplelist

    dbhtml list-width="width"

## Description

Use the `dbhtml list-width` PI as a child of a `variablelist` or a `simplelist` presented as a table, to specify the output width.

## Parameters

list-width="width"

  Specifies the output width (including units)

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML

# dbhtml_row-height

Specifies the height for a CALS table row

    dbhtml row-height="height"

## Description

Use the `dbhtml row-height` PI as a child of a `row` to specify the height of the row.

## Parameters

row-height="height"

  Specifies the row height (including units)

## Related Information in DocBook XSL: The Complete Guide

Row height

# dbhtml_start

(obsolete) Sets the starting number on an ordered list

    dbhtml start="character"

## Description

This PI is obsolete. The intent of this PI was to provide a means for setting a specific starting number for an ordered list. Instead of this PI, set a value for the `override` attribute on the first `listitem` in the list; that will have the same effect as what this PI was intended for.

## Parameters

start="character"

  Specifies the character to use as the starting number; use 0-9, a-z, A-Z, or lowercase or uppercase Roman numerals

## Related Information in DocBook XSL: The Complete Guide

List starting number

# dbhtml_stop-chunking

Do not chunk any descendants of this element.

    dbhtml stop-chunking

## Description

When generating chunked HTML output, adding this PI as the child of an element that contains elements that would normally be generated on separate pages if generating chunked output causes chunking to stop at this point. No descendants of the current element will be split into new HTML pages:

    <section>
    <title>Configuring pencil</title>
    <?dbhtml stop-chunking?>

    ...

    </section>

## Related Information in DocBook XSL: The Complete Guide

Chunking into multiple HTML files

# dbhtml_table-summary

Specifies summary for CALS table, variablelist, segmentedlist, or qandaset output

    dbhtml table-summary="text"

## Description

Use the `dbhtml table-summary` PI as a child of a CALS `table`, `variablelist`, `segmentedlist`, or `qandaset` to specify the text for the HTML `summary` attribute in the output HTML table.

## Parameters

table-summary="text"

  Specifies the summary text (zero or more characters)

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML, Table summary text

# dbhtml_table-width

Specifies the width for a CALS table

    dbhtml table-width="width"

## Description

Use the `dbhtml table-width` PI as a child of a CALS `table` to specify the width of the table in output.

## Parameters

table-width="width"

  Specifies the table width (including units or as a percentage)

## Related Global Parameters

`default.table.width`

## Related Information in DocBook XSL: The Complete Guide

Table width

# dbhtml_term-presentation

Sets character formatting for terms in a variablelist

    dbhtml term-presentation="bold"|"italic"|"bold-italic"

## Description

Use the `dbhtml term-presentation` PI as a child of a `variablelist` to set character formatting for the `term` output of the list.

## Parameters

term-presentation="bold"

  Specifies that terms are displayed in bold

term-presentation="italic"

  Specifies that terms are displayed in italic

term-presentation="bold-italic"

  Specifies that terms are displayed in bold-italic

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML

# dbhtml_term-separator

Specifies separator text among terms in a varlistentry

    dbhtml term-separator="text"

## Description

Use the `dbhtml term-separator` PI as a child of a `variablelist` to specify the separator text among `term` instances.

## Parameters

term-separator="text"

  Specifies the text (zero or more characters)

## Related Global Parameters

`variablelist.term.separator`

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML

# dbhtml_term-width

Specifies the term width for a variablelist

    dbhtml term-width="width"

## Description

Use the `dbhtml term-width` PI as a child of a `variablelist` to specify the width for `term` output.

## Parameters

term-width="width"

  Specifies the term width (including units)

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in HTML

# dbhtml_toc

Specifies whether a TOC should be generated for a qandaset

    dbhtml toc="0"|"1"

## Description

Use the `dbhtml toc` PI as a child of a `qandaset` to specify whether a table of contents (TOC) is generated for the `qandaset`.

## Parameters

toc="0"

  If zero, no TOC is generated

toc="1"

  If `1` (or any non-zero value), a TOC is generated

## Related Information in DocBook XSL: The Complete Guide

Q and A list of questions, Q and A formatting

# dbcmdlist

Generates a hyperlinked list of commands

    dbcmdlist

## Description

Use the `dbcmdlist` PI as the child of any element (for example, `refsynopsisdiv`) containing multiple `cmdsynopsis` instances; a hyperlinked navigational “command list” will be generated at the top of output for that element, enabling users to quickly jump to each command synopsis.

## Parameters

[No parameters]

# dbfunclist

Generates a hyperlinked list of functions

    dbfunclist

## Description

Use the `dbfunclist` PI as the child of any element (for example, `refsynopsisdiv`) containing multiple `funcsynopsis` instances; a hyperlinked navigational “function list” will be generated at the top of output for that element, enabling users to quickly jump to to each function synopsis.

## Parameters

[No parameters]

# dbhtml-include_href

Copies an external well-formed HTML/XML file into current doc

    dbhtml-include href="URI"

## Description

Use the `dbhtml-include href` PI anywhere in a document to cause the contents of the file referenced by the `href` pseudo-attribute to be copied/inserted “as is” into your HTML output at the point in document order where the PI occurs in the source.

The referenced file may contain plain text (as long as it is “wrapped” in an `html` element — see the note below) or markup in any arbitrary vocabulary, including HTML — but it must conform to XML well-formedness constraints (because the feature in XSLT 1.0 for opening external files, the `document()` function, can only handle files that meet XML well-formedness constraints).

Among other things, XML well-formedness constraints require a document to have a single root element. So if the content you want to include is plain text or is markup that does not have a single root element, wrap the content in an `html` element. The stylesheets will strip out that surrounding `html` “wrapper” when they find it, leaving just the content you want to insert.

## Parameters

href="URI"

  Specifies the URI for the file to include; the URI can be, for example, a remote `http:` URI, or a local filesystem `file:` URI

## Related Global Parameters

`textinsert.extension`

## Related Information in DocBook XSL: The Complete Guide

Inserting external HTML code, External code files

# dbhh

Sets topic name and topic id for context-sensitive HTML Help

    dbhh topicname="name" topicid="id"

## Description

Use the `dbhh` PI as a child of components that should be used as targets for context-sensitive help requests.

## Parameters

topicname="name"

  Specifies a unique string constant that identifies a help topic

topicid="id"

  Specifies a unique integer value for the `topicname` string

## Related Information in DocBook XSL: The Complete Guide

Context-sensitive help